Gets the progress and status of tasks.

Privileges: CLUSTER_VIEW, TENANT_VIEW

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
taskPaths
array of strings

Specifies a list of tasks path by which to filter the results. Otherwise
all of the tasks will be returned.

taskPaths
boolean

Specifies whether or not to include finished tasks. By default,
Pulse will only include unfinished tasks.

int64

Specifies a start time by which to filter tasks. Including a value
here will result in tasks only being included if they started after
the time specified.

int64

Specifies an end time by which to filter tasks. Including a value
here will result in tasks only being included if the ended before
this time.

int32

Specifies the maximum number of tasks to display. Defaults to 100.

boolean

Specifies whether or not to include subtasks. By default all subtasks
of any task matching a query will be returned.

attributes
array of strings

If specified, tasks matching the current query are further filtered by
these KeyValuePairs. This gives client an ability to search by custom
attributes that they specified during the task creation. Only the Tasks
having 'all' of the specified key=value pairs will be returned.
Attributes passed in should be separated by commas and each must follow
the pattern "name:type:value". Valid types are "kInt64", "kDouble",
"kString", and "kBytes".

attributes
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json